#ifndef TZ51_Bluetooth
#define TZ51_Bluetooth

#include "Arduino.h"
#include "SoftwareSerial.h"
#include "TZ51_TimerOne.h"

class TZ51_BT {
  private:
  SoftwareSerial * serial;  

  public:
    TZ51_BT(SoftwareSerial * ss);
    void begin(uint32_t baud);
    int lire_octet();
    int bt_read();
	void send(String s);
    int ihm_available();
    void BTinterrupt();
    String stringOne = "";

    //void initTimer1();
    // other prototypes
};

    
#endif
